# eric7.EricWidgets.EricSingleApplication

Module implementing the single application server and client.

### Global Attributes

SAArguments
SAFile
SAOpenFile
SAOpenMultiProject
SAOpenProject

### Classes

EricSingleApplicationClient | Class implementing the single application client of the IDE.
EricSingleApplicationServer | Class implementing the single application server embedded within the IDE.

### Functions

None

## EricSingleApplicationClient

Class implementing the single application client of the IDE.

### Derived from

SingleApplicationClient

### Class Attributes

None

### Class Methods

None

### Methods

EricSingleApplicationClient | Constructor
__openFile | Private method to open a file in the application server.
__openMultiProject | Private method to open a project in the application server.
__openProject | Private method to open a project in the application server.
__sendArguments | Private method to set the command arguments in the application server.
processArgs | Public method to process the command line args passed to the UI.

### Static Methods

None

#### EricSingleApplicationClient (Constructor)

EricSingleApplicationClient()

Constructor

#### EricSingleApplicationClient.__openFile

__openFile(fname)

Private method to open a file in the application server.

fname
  name of file to be opened (string)

#### EricSingleApplicationClient.__openMultiProject

__openMultiProject(pfname)

Private method to open a project in the application server.

pfname
  name of the projectfile to be opened (string)

#### EricSingleApplicationClient.__openProject

__openProject(pfname)

Private method to open a project in the application server.

pfname
  name of the projectfile to be opened (string)

#### EricSingleApplicationClient.__sendArguments

__sendArguments(argsStr)

Private method to set the command arguments in the application server.

argsStr
  space delimited list of command args (string)

#### EricSingleApplicationClient.processArgs

processArgs(args)

Public method to process the command line args passed to the UI.

args
  list of files to open

Up

## EricSingleApplicationServer

Class implementing the single application server embedded within the IDE.

### Derived from

SingleApplicationServer

### Class Attributes

None

### Class Methods

None

### Methods

EricSingleApplicationServer | Constructor
__saArguments | Private method used to handle the "Arguments" command.
__saOpenFile | Private method used to handle the "Open File" command.
__saOpenMultiProject | Private method used to handle the "Open Multi-Project" command.
__saOpenProject | Private method used to handle the "Open Project" command.
handleCommand | Public slot to handle the command sent by the client.

### Static Methods

None

#### EricSingleApplicationServer (Constructor)

EricSingleApplicationServer()

Constructor

#### EricSingleApplicationServer.__saArguments

__saArguments(argsStr)

Private method used to handle the "Arguments" command.

argsStr
  space delimited list of command args(string)

#### EricSingleApplicationServer.__saOpenFile

__saOpenFile(fname)

Private method used to handle the "Open File" command.

fname
  filename to be opened (string)

#### EricSingleApplicationServer.__saOpenMultiProject

__saOpenMultiProject(pfname)

Private method used to handle the "Open Multi-Project" command.

pfname
  filename of the multi project to be opened (string)

#### EricSingleApplicationServer.__saOpenProject

__saOpenProject(pfname)

Private method used to handle the "Open Project" command.

pfname
  filename of the project to be opened (string)

#### EricSingleApplicationServer.handleCommand

handleCommand(command, arguments)

Public slot to handle the command sent by the client.

command (str)
  command sent by the client
arguments (list of str)
  list of command arguments

Up